> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thena.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all articles



## OpenAPI

````yaml get /articles
openapi: 3.0.0
info:
  title: Thena Help Center API Documentation
  description: The Thena Help Center API description
  version: '1.0'
  contact: {}
servers:
  - url: https://helpcenter.thena.ai
    description: Production
security:
  - ApiKey: []
    base-access: []
    OrgId: []
    UserId: []
tags: []
paths:
  /articles:
    get:
      tags:
        - Article
      summary: Get all articles
      operationId: ArticleController_getAll
      parameters: []
      responses:
        '200':
          description: Article fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAllArticlesResponse'
        '500':
          description: Failed to fetch article.
          content:
            application/json:
              schema:
                example:
                  message: Failed to fetch article.
                  error: API Error
                  statusCode: 500
components:
  schemas:
    GetAllArticlesResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ListArticleResponseDto'
        message:
          type: string
          example: Article fetched successfully
      required:
        - data
        - message
    ListArticleResponseDto:
      type: object
      properties:
        _id:
          type: string
          example: 671b8c6919d8f51c01c0d2b4
        uid:
          type: number
          example: 7667971527
        title:
          type: string
          example: Getting Started
        slug:
          type: string
          example: 7667971527-getting-started
        state:
          type: string
          example: draft
          enum:
            - draft
            - published
        tags:
          example: []
          type: array
          items:
            type: string
        visibility:
          type: string
          example: public
          enum:
            - public
            - private
        createdBy:
          type: string
          example: UWW7PBBOPJ
        authors:
          example:
            - UWW7PBBOPJ
          type: array
          items:
            type: string
        createdAt:
          type: string
          example: '2024-10-25T12:17:45.992Z'
        updatedAt:
          type: string
          example: '2024-11-08T12:51:53.378Z'
        lastEditedAt:
          type: string
          example: '2024-11-08T12:51:53.378Z'
        lastEditedBy:
          type: string
          example: UWW7PBBOPJ
        collections:
          example: []
          type: array
          items:
            type: string
        helpCenters:
          example: []
          type: array
          items:
            type: string
      required:
        - _id
        - uid
        - title
        - slug
        - state
        - tags
        - visibility
        - createdBy
        - authors
        - createdAt
        - updatedAt
        - collections
        - helpCenters
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: Enter your API key

````